GNU bug report logs - #35534
26.2; Failure to verify signature archive-contents.sig

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: important; Reported by: Michael Chapman <atat@HIDDEN>; Keywords: security; merged with #35414; dated Thu, 2 May 2019 14:29:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 35534 <at> debbugs.gnu.org:


Received: (at 35534) by debbugs.gnu.org; 4 May 2019 12:22:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 04 08:22:01 2019
Received: from localhost ([127.0.0.1]:50508 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMtg1-00080D-2Z
	for submit <at> debbugs.gnu.org; Sat, 04 May 2019 08:22:01 -0400
Received: from mail-qk1-f177.google.com ([209.85.222.177]:37370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hMtfy-0007zr-C3; Sat, 04 May 2019 08:21:59 -0400
Received: by mail-qk1-f177.google.com with SMTP id c1so587008qkk.4;
 Sat, 04 May 2019 05:21:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=g3ubJavrTtRpI3Tq+J89JvHUNOO7Kk0aTv5oRpVhCKo=;
 b=im74K/wKLJAG9Q2klCclNPtnsOicUfR5wtHjbhx0ma7aY8jkMXLHxIf1bZjsPDA9Xv
 8VZNn6elkoMm4BNtsU4Vp9AIHF7EBKX8q8FTtNbZrTrn5YN7hqm2TddHFAj9IE8FPwMq
 jDTC7fpFk5dA2Um+AWnTpKvHQqWAVX59jTjTuKVf0y6M70qUgHhueNLBRVTH1RIuJaE0
 yT3nXxCJRhhOZNuaJNsE1pm8NmtSNjLs9zF8ph+t+58bFOsifpvCQUbey5w8tVrZOo5z
 wNt73dnQH+BkMiaY/4jW849vYYeio9PflOUbv7+IT/lZI23EQNJNvFgMkBU883QZBM8N
 jnzA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=g3ubJavrTtRpI3Tq+J89JvHUNOO7Kk0aTv5oRpVhCKo=;
 b=NRgZ0H4JtKOx9n49I0OznT2eheA+BTARXEBcPvrWQ7261xKpwP2rEnobZKkpFSEGWg
 J//JwhZpXWWUpa/1lOfhYI+Fs0ikGYq7/R5b7bGhNmzexNfcbzL5kT3A3fP8nZVcXRkr
 I26LVghSh3k3BkyjnHIBIfoO0Rtxb3/eLOQH5iPfkyTd9Dsi3O3FqoRMlbjse+NMxc4i
 2HQh0OFzHy5D8DTpc5Zx0Nxbzh3jPJAMmRpDP3BMH2ZaFtXQDaFalqu6/HxwaRtkBpCj
 5oeIVzzXP2f/HN4oemS66QuEYBqBlkermtckvTduL510G5TBkpbflWCgSACM4CYGYNZG
 LSgw==
X-Gm-Message-State: APjAAAW1qIxfTG+W2TToD7hVxB8cNOx05KFBjmtZZROvft9Wj3LtV16n
 +LFW+qkjp2pboIpeVEFRDBAKiDTI
X-Google-Smtp-Source: APXvYqwggVuucpt9d3hp7jhNKI6SiQQBEBhaSl7afGje/QU0pZWdrT+V/QsIZzLy0RWlaa7O9qKnyA==
X-Received: by 2002:a05:620a:15e3:: with SMTP id
 p3mr12207446qkm.211.1556972512656; 
 Sat, 04 May 2019 05:21:52 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 v20sm1720751qtj.0.2019.05.04.05.21.51
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 04 May 2019 05:21:51 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Michael Chapman <atat@HIDDEN>
Subject: Re: bug#35534: 26.2; Failure to verify signature archive-contents.sig
References: <a5a2360ea2a027615ec789fa1ea05617@HIDDEN>
Date: Sat, 04 May 2019 08:21:50 -0400
In-Reply-To: <a5a2360ea2a027615ec789fa1ea05617@HIDDEN> (Michael Chapman's
 message of "Thu, 02 May 2019 09:25:46 +0200")
Message-ID: <8736luo1ep.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35534
Cc: 35534 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

forcemerge 35414 35534
quit

Michael Chapman <atat@HIDDEN> writes:

> Failed to verify signature archive-contents.sig:
> Bad signature from 474F05837FBDEF9B GNU ELPA Signing Agent

> gpg: BAD signature from "GNU ELPA Signing Agent
> <elpasign@HIDDEN>" [unknown]

> Some further details of the context are available at
> https://www.reddit.com/r/emacs/comments/bgdq2n/failure_to_install_auctex_on_emacs_with_package/
> There I was advised this is a bug and should be reported.

It was meanwhile reported as https://debbugs.gnu.org/35414.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35534; Package emacs. Full text available.
Forcibly Merged 35414 35534. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 May 2019 14:28:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 02 10:28:44 2019
Received: from localhost ([127.0.0.1]:46689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMChW-0002s9-Rk
	for submit <at> debbugs.gnu.org; Thu, 02 May 2019 10:28:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <atat@HIDDEN>) id 1hM67C-0007Y5-UU
 for submit <at> debbugs.gnu.org; Thu, 02 May 2019 03:26:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:36486)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <atat@HIDDEN>) id 1hM66v-00088g-5I
 for submit <at> debbugs.gnu.org; Thu, 02 May 2019 03:26:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59152)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <atat@HIDDEN>) id 1hM66t-0003U5-Kg
 for bug-gnu-emacs@HIDDEN; Thu, 02 May 2019 03:26:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <atat@HIDDEN>) id 1hM66b-0007qp-Pa
 for bug-gnu-emacs@HIDDEN; Thu, 02 May 2019 03:26:16 -0400
Received: from mx.kolabnow.com ([95.128.36.40]:54192)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <atat@HIDDEN>) id 1hM66N-0007gk-Vl
 for bug-gnu-emacs@HIDDEN; Thu, 02 May 2019 03:25:57 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTP id AEE87404D4
 for <bug-gnu-emacs@HIDDEN>; Thu,  2 May 2019 09:25:49 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mykolab.ch; h=
 message-id:subject:subject:from:from:date:date
 :content-transfer-encoding:content-type:content-type
 :mime-version:received:received:received; s=dkim20160331; t=
 1556781948; x=1558596349; bh=B1mQXHiGUECnfBYTdwADE6ovh0fTyhpQHKi
 3CDJDi9s=; b=SHhgfIKurr8ibEoV3OpQ/xBmKz1Y4c9ahWOgmwFQn2w4NZUGW7i
 uvmeN8ijH3soSGtIyhcfJ0GCP5QVxQS27pX8d7+Ff1ZtTqcanYzMGBceQdETcPrc
 94A9mzrLudZv1bmdFkX436lAdBzU8OBjGGYS+9sZzfXc60Lyi8ppoLdPrQZqQSK2
 +A3URfYVvCy5pKHuGu7rMWsUAg1o/dKzBmMZzMlzQvtymIH3uQkr5n67xHpXBaur
 ZiEs+0P/4ADxxwtD+NYoOtb7r4qTlVrX7oFVpH1nktkWdHP3wIz3/0zFCV0DMTPA
 mE5iIKX9tBn0Tnvs3E6M2dAMZNFzGUwXdhV44ww8qEtjBIzSllCdtjyADWj3p3CB
 WzBt2qUnsE7Ga8egxBH/fdegs1FPo/iZlq2Mvmk41TKan2MTPh4r98Mnos/UQ/Ib
 hx8HHu97zBEXlw6I2jdqRCtGzaG4qGGIe10Eiq/PNAIHOX1x0SpWzmeDlSc2lP0v
 FVdI9Sut9oienKyaAkXZke7g9MeVdGJTBb4gKwQUEAw/HT5vKiL9oU/K10Oww7nQ
 vZqciFlrJ9mgX0Y+1Ixo3RuHHvxRevxLfyrQsboSl7ZKI8TWrFU2/qy1RshATYs2
 G+vWzMquv4V511gU5fFD+GP6lqECq6h7i/ybxC6r8eE2IDiGPZ1cpbPs=
X-Virus-Scanned: amavisd-new at mykolab.com
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out003.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id V34uiP4cquCa for <bug-gnu-emacs@HIDDEN>;
 Thu,  2 May 2019 09:25:48 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTPS id 1BA26404C6
 for <bug-gnu-emacs@HIDDEN>; Thu,  2 May 2019 09:25:46 +0200 (CEST)
Received: from int-subm002.mykolab.com (unknown [10.9.37.2])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id CFB4431B
 for <bug-gnu-emacs@HIDDEN>; Thu,  2 May 2019 09:25:46 +0200 (CEST)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Date: Thu, 02 May 2019 09:25:46 +0200
From: Michael Chapman <atat@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.2; Failure to verify signature archive-contents.sig
Message-ID: <a5a2360ea2a027615ec789fa1ea05617@HIDDEN>
X-Sender: atat@HIDDEN
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 95.128.36.40
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 02 May 2019 10:28:40 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi all,

Bug symptom is triggered simply by

M-x package-list-packages RET
or
M-x list-packages RET

A buffer with a listing of packages opens, but then an *Error* buffer=20
opens
with the following information:

Failed to verify signature archive-contents.sig:
Bad signature from 474F05837FBDEF9B GNU ELPA Signing Agent=20
<elpasign@HIDDEN>
Command output:
gpg: Signature made 05/01/19 23:10:02 W. Europe Daylight Time
gpg:                using DSA key=20
CA442C00F91774F17F59D9B0474F05837FBDEF9B
gpg: BAD signature from "GNU ELPA Signing Agent <elpasign@HIDDEN>"=20
[unknown]

This is on a =E2=80=9Cfresh install=E2=80=9D on Windows 10 after extracti=
ng from the zip=20
archive
retrieved from
https://mirror.kumi.systems/gnu/emacs/windows/emacs-26/

Some further details of the context are available at
https://www.reddit.com/r/emacs/comments/bgdq2n/failure_to_install_auctex_=
on_emacs_with_package/
There I was advised this is a bug and should be reported.

Thanks and kind regards,
Mike

--

In GNU Emacs 26.2 (build 1, x86_64-w64-mingw32)
  of 2019-04-13 built on CIRROCUMULUS
Repository revision: fd1b34bfba8f3f6298df47c8e10b61530426f749
Windowing system distributor 'Microsoft Corp.', version 10.0.17134
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...
Importing package-keyring.gpg...done
You can run the command =E2=80=98package-list-packages=E2=80=99 with M-x =
pa-l- RET
Package refresh done
error in process filter: package--check-signature-content: Failed to=20
verify signature: "archive-contents.sig"
error in process filter: Failed to verify signature:=20
"archive-contents.sig"

Configured using:
  'configure --without-dbus --host=3Dx86_64-w64-mingw32
  --without-compress-install 'CFLAGS=3D-O2 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS THREADS LCMS2

Important settings:
   value of $LANG: ENU
   locale-coding-system: cp1252

Major mode: Package Menu

Minor modes in effect:
   show-paren-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail help-mode mm-archive message
dired dired-loaddefs format-spec rfc822 mml mml-sec epa derived
gnus-util rmail rmail-loaddefs mailabbrev gmm-utils mailheader mm-decode
mm-bodies mm-encode mail-utils network-stream starttls url-http tls
gnutls mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr
url-gw nsm rmc puny url-cache url-auth url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
mailcap epg elec-pair paren edmacro kmacro finder-inf package easymenu
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32
ls-lisp disp-table term/w32-win w32-win w32-vars term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads w32notify w32
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 128540 11648)
  (symbols 48 22803 1)
  (miscs 40 96 163)
  (strings 32 37716 1313)
  (string-bytes 1 980407)
  (vectors 16 17445)
  (vector-slots 8 533882 9894)
  (floats 8 59 184)
  (intervals 56 2711 0)
  (buffers 992 15))




Acknowledgement sent to Michael Chapman <atat@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35534; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 4 May 2019 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.